package com.bonus.canteen.core.order.mq.constants;

public enum OrderChangeTypeEnum {
   ADD(1, "添加"),
   UPDATE(2, "修改"),
   REFUND(3, "退单");

   private final Integer key;
   private final String desc;

   private OrderChangeTypeEnum(Integer key, String desc) {
      this.key = key;
      this.desc = desc;
   }

   public static String getDesc(Integer key) {
      OrderChangeTypeEnum[] var1 = values();
      int var2 = var1.length;

      for(int var3 = 0; var3 < var2; ++var3) {
         OrderChangeTypeEnum typeEnum = var1[var3];
         if (typeEnum.getKey().equals(key)) {
            return typeEnum.getDesc();
         }
      }

      return "";
   }

   public Integer getKey() {
      return this.key;
   }

   public String getDesc() {
      return this.desc;
   }

}
